GET /data/projects/{project_id}/news

Get the 50 latest news object (activity feed) for a project

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

Query parameters

  • before string(date)

    Filter news before this date

  • after string(date)

    Filter news after this date

  • page integer

    Page number for pagination

    Default value is 1.

  • limit integer

    Number of news items per page

    Default value is 50.

  • person_id string(uuid)

    Filter news by specific team member

  • task_type_id string(uuid)

    Filter news by task type

  • task_status_id string(uuid)

    Filter news by task status

  • episode_id string(uuid)

    Filter news by specific episode

  • only_preview boolean

    Show only news related to preview uploads

    Default value is false.

Responses

  • 200 application/json

    All news related to given project

    Hide response attributes Show response attributes object
    • data array[object]
      Hide data attributes Show data attributes object
      • id string(uuid)

        Unique news item identifier

      • title string

        News item title

      • content string
      • created_at string(date-time)
      • author_id string(uuid)
    • stats object
      Hide stats attribute Show stats attribute object
      • total integer
  • 404

    Project not found

GET /data/projects/{project_id}/news
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/news?before=2022-07-12&after=2022-07-12&page=1&limit=50&person_id=a24a6ea4-ce75-4665-a070-57453082c25&task_type_id=a24a6ea4-ce75-4665-a070-57453082c25&task_status_id=a24a6ea4-ce75-4665-a070-57453082c25&episode_id=a24a6ea4-ce75-4665-a070-57453082c25&only_preview=false" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/news"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "before": "2022-07-12",
    "after": "2022-07-12",
    "page": 1,
    "limit": 50,
    "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_status_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "episode_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "only_preview": false
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/news' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "data": [
    {
      "id": "string",
      "title": "string",
      "content": "string",
      "created_at": "2026-05-04T09:42:00Z",
      "author_id": "string"
    }
  ],
  "stats": {
    "total": 42
  }
}